A new printer with Ubuntu 12.04

By Hal Canary, 2012-06-16 15:44:45 (link)
#computers-code

We have a WiFi network printer in the house: a Kodak ESP C315. The most recent version of Ubuntu (Ubuntu 12.04 Precise) does not recognize it and it asks for a PPD file. This is because the printer-driver-c2esp package is at version 23.1 but version 24 provides that file.

To install:

Get the necesary packages:

$ sudo /usr/bin/apt-get --yes install \
    build-essential cups libcups2-dev \
    libcupsimage2-dev libcupsdriver1-dev

Go to http://sourceforge.net/projects/cupsdriverkodak/files/ and get the file c2esp24.tar.gz .

$ cd `mktemp -d`
$ tar --extract --gzip --file ((...path to...))/c2esp24.tar.gz
$ cd c2esp24/
$ make
$ find . -iname \*.ppd

Copy the apropriate PPD file to /usr/local/share/ppd/

$ sudo mkdir /usr/local/share/ppd
$ sudo cp ppd/Kodak_ESP_C31x_Series.ppd /usr/local/share/ppd/
$ system-config-printer

Then enter /usr/local/share/ppd/Kodak_ESP_C31x_Series.ppd where the CUPS configuration program asks for a PPD file.


(back)